### Method

# GLib Relation exists

deprecated: 2.26

#### Declaration [src]

    gboolean
    g_relation_exists (
      GRelation* relation,
      ...
    )

#### Description [src]

Returns `TRUE` if a record with the given values exists in a `GRelation`. Note that the values are compared directly, so that, for example, two copies of the same string will not match.

Deprecated since: 2.26

Rarely used API.

This method is not directly available to language bindings.

#### Parameters

`...`

  Type: ``

  The fields of the record to compare. The number must match the number of fields in the `GRelation`.

#### Return value

Type: `gboolean`

`TRUE` if a record matches.